Name:		grub-customizer
Version:	3.0.4
Release:	alt0.M60T.1
Summary:	Grub Customizer is a graphical interface to configure the grub2/burg settings
Group:		System/Configuration/Boot and Init
License:	GPLv3
Url:		https://launchpad.net/grub-customizer
Source0:	https://launchpad.net/grub-customizer/2.5/%version/+download/%{name}_%{version}_oldgtk.tar.gz
Patch0:		%name-3.0.4-as-root.patch
Patch1:		%name-3.0.4-sbin.patch

# Automatically added by buildreq on Sun Aug 04 2013 (-bi)
# optimized out: cmake-modules elfutils fontconfig fontconfig-devel glib2-devel libatk-devel libatkmm-devel libcairo-devel libcairomm-devel libfreetype-devel libgdk-pixbuf libgdk-pixbuf-devel libgio-devel libglibmm-devel libgtk+2-devel libpango-devel libpangomm-devel libsigc++2-devel libstdc++-devel pkg-config
BuildRequires: cmake gcc-c++ libgtkmm2-devel libssl-devel

%description
Grub Customizer is a graphical interface to configure the grub2/burg settings
with focus on the individual list order - without losing the dynamical behavior
of grub.

The goal of this project is to create a complete and intuitive graphical
grub2/burg configuration interface. The main feature is the boot entry list
configuration - but not simply by modified the grub.cfg: to keep the dynamical
configuration, this application will only edit the script order and generate
proxies (script output filter), if required.

%prep
%setup
%patch0 -p1
%patch1 -p1

%build
cmake \
	-DCMAKE_INSTALL_PREFIX=%prefix \
	-DCMAKE_CXX_FLAGS:STRING="%optflags" \
	-DCMAKE_C_FLAGS:STRING="%optflags"
%make_build

%install
make install DESTDIR=%buildroot

%find_lang %name

%files -f %name.lang
%doc README COPYING changelog
# #%config(noreplace) %_sysconfdir/%name/*
%_bindir/%name
%_libdir/%name/grubcfg-proxy
%_desktopdir/%name.desktop
%_iconsdir/hicolor/*/apps/%name.png
%_man1dir/%name.1*

%changelog
* Sun Aug 04 2013 Motsyo Gennadi <drool@altlinux.ru> 3.0.4-alt0.M60T.1
- build for t6

* Sun Aug 04 2013 Motsyo Gennadi <drool@altlinux.ru> 3.0.4-alt1
- initial build for ALT Linux
